﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace InnovativeSolutions.SilverlightApplicationLib.Exceptions
{
    public class RunningModeException : Exception
    {
        #region Variables

        private string m_Message = string.Empty;

        #endregion

        #region Properties

        /// <summary>
        /// Propery describing the exception message.
        /// </summary>
        public override string Message
        {
            get
            {
                return m_Message;
            }
        }

        #endregion

        #region Constructor

        public RunningModeException(string message)
        {
            m_Message = message;
        }

        #endregion
    }
}
